section(anchor="Deployment")
  name Deployment

  t
    | Middleware applications #[bcp14 MUST] be deployed using
    | #[xref(target="PUPPET") Puppet], the deployment configuration
    | #[bcp14 MUST] be versioned on #[xref(target="NTOF_PUPPET_GIT") n_ToF Puppet master config]
    | repository.

  t
    | Applications #[bcp14 SHOULD] be built and packaged in controlled
    | environment as described in #[tt APC Middleware Development guidelines] document. (FIXME rev+doc needed)

  t Here's an overview of the deployment flow:
  figure
    name Middleware deployment flow
    artwork(align='center' type='binary-art' src='ntof-software-architecture/files/Middleware-Deploy.png')
